Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID Class Reference

`#include <ReadArraySampleCache.h>`

## Public Types

typedef ReadArraySampleID | this_type

## Public Member Functions

| ReadArraySampleID ()
| ReadArraySampleID (const ArraySample::Key &iSampleKey, ArraySamplePtr iSample)
| Explicit constructor creates ID with key and sample.
const ArraySample::Key & | getKey () const
ArraySamplePtr | getSample () const
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Detailed Description

A ReadArraySampleID is a bundle that contains a pointer to the ArraySample itself, along with the sample's key.

## Member Typedef Documentation

## this_type

typedef ReadArraySampleID Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::this_type

By convention, we define the typedef this_type. This is used by the unspecified-bool-type cast below.

## Constructor & Destructor Documentation

## ReadArraySampleID()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::ReadArraySampleID | ( |  | ) |

inline

Default constructor creates empty ID ...

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

Unspecified bool type cast ...

## getKey()

const ArraySample::Key & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::getKey | ( |  | ) | const

inline

Default copy constructor Default assignment operator.

Return the sample key ...

## getSample()

ArraySamplePtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::getSample | ( |  | ) | const

inline

Return the sample itself. ...

## valid()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::valid | ( |  | ) | const

inline

Return whether or not this read sample is valid ...

The documentation for this class was generated from the following file:

- AbcCoreAbstract/ReadArraySampleCache.h